classification
Title: Obsolete RFCs should be removed from doc of urllib.urlparse
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: MLModel, ezio.melotti, georg.brandl, merwok, orsenthil
Priority: normal Keywords: easy, patch

Created on 2009-04-01 16:14 by MLModel, last changed 2010-04-22 11:36 by merwok. This issue is now closed.

Files
File name Uploaded Description Edit
urlparse.diff merwok, 2009-04-25 20:22 First attempt: corrected RFC references and “URL” usage
Messages (15)
msg85032 - (view) Author: Mitchell Model (MLModel) Date: 2009-04-01 16:14
The documentation of urlparse in Python2 and urllib.urlparse in Python3 
refers to three RFC's, the last of which (RFC 2396) says that it 
supersedes the other two and, in fact, clicking on the links to the other 
two doesn't work; the link and description for the two obsolete RFCs 
should be removed.
msg86531 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2009-04-25 17:53
More precisely, RFC 1738 and 1808 are updated by RFC 2396, which is in
turn obsoleted by RFC 3986 (which obsoletes 1808 too but only updates
1738). Eliminating the obsoleted ones leaves us with two references,
RFC 1738 and RFC 3986. I’m going to remove all references to RFCs other
that these two (I understand from test_urlparse that urlparse actually
conforms to RFC 3986, that’s a good thing). I’m going to replace some
instances of “URL” with “URI” where appropriate (only in the
documentation, not in modules or functions names). 

Besides, all three links work for me.
msg86543 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2009-04-25 19:49
Sorry, my logic was flawed: RFC 1808 is not obsoleted either, so it
leaves us with 1738, 1808 and 3986.
msg86546 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2009-04-25 20:22
Included patch for this issue. There is some diff noise because of
paragraph wrapping. I don’t know whether my seealso addition is
correctly formatted (the title spans two lines) because of a Sphinx bug
on my machine. Thanks for reviewing.
msg86879 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2009-05-01 10:59
Georg, shall I take up this one?
msg86895 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-05-01 18:55
Yes, you've probably a better understanding of what differentiates an
URL and URI than me :)
msg102885 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2010-04-11 20:44
See also #2987
msg103404 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-04-17 14:47
Fixed in revision 80146 and merged into other branches
release26-maint: r80147
py3k: r80148
release31-maint: r80149
msg103560 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-04-19 08:43
The 'See also' in the documentation should also be updated:
http://docs.python.org/dev/library/urlparse.html#urlparse.urldefrag
msg103939 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-04-22 06:04
Updated in the r80336 through r80339. Thanks for the note, Ezio.
msg103943 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2010-04-22 10:31
Hello

You’ve added references to current RFCs without removing obsolete ones. Why not remove mention of obsoleted RFCs?

Regards
msg103944 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-04-22 10:35
It was intentional as not to remove the old RFC references because
certain parsing behaviours follow them compatibility purposes. If you
look at test_urlparse.py you might get the specifics of parsing
corresponding a RFC.
msg103947 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2010-04-22 11:07
Thanks for the explanation. Would it make sense to have either different
functions or a switch to existing ones to tell if we want legacy or
modern parsing?
msg103950 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-04-22 11:15
On Thu, Apr 22, 2010 at 11:08:01AM +0000, Éric Araujo wrote:
> Thanks for the explanation. Would it make sense to have either different
> functions or a switch to existing ones to tell if we want legacy or
> modern parsing?

Hard at the moment, or is it a bleeding requirement? I doubt. 
But what is worth is full compliance on all scales with STD 66.
msg103955 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2010-04-22 11:36
(Not sure I understand “bleeding requirement”, but I get the gist.)

Full compliance with STD 66 is indeed the most desirable goal, thanks
for your work in that direction! I just thought that some corner cases
were not compliant because of backwards compat (hence the disabled tests
in test_urlparse).

Regards
History
Date User Action Args
2010-04-22 11:36:20merwoksetmessages: + msg103955
2010-04-22 11:15:02orsenthilsetmessages: + msg103950
2010-04-22 11:07:59merwoksetmessages: + msg103947
2010-04-22 10:35:57orsenthilsetmessages: + msg103944
2010-04-22 10:31:05merwoksetmessages: + msg103943
2010-04-22 06:04:45orsenthilsetstatus: open -> closed

messages: + msg103939
2010-04-19 08:43:17ezio.melottisetstatus: closed -> open
priority: normal
versions: + Python 3.2, - Python 3.0
nosy: + ezio.melotti

messages: + msg103560
2010-04-17 14:47:57orsenthilsetstatus: open -> closed
messages: + msg103404

assignee: georg.brandl -> orsenthil
resolution: fixed
stage: needs patch -> resolved
2010-04-11 20:44:59merwoksetmessages: + msg102885
title: Obsolete RFC's should be removed from doc of urllib.urlparse -> Obsolete RFCs should be removed from doc of urllib.urlparse
2009-05-01 18:55:59georg.brandlsetmessages: + msg86895
2009-05-01 10:59:20orsenthilsetnosy: + orsenthil
messages: + msg86879
2009-04-25 20:22:10merwoksetfiles: + urlparse.diff
keywords: + patch
messages: + msg86546
2009-04-25 19:49:09merwoksetmessages: + msg86543
2009-04-25 17:53:51merwoksetnosy: + merwok
messages: + msg86531
2009-04-22 05:08:01ajaksu2setkeywords: + easy
stage: needs patch
type: behavior
versions: - Python 2.5
2009-04-01 16:14:16MLModelcreate